schemaVersion: 2.1.0
metadata:
  name: gitlab-springbootapi
projects:
  - name: spring-boot-api
    git:
      remotes:
        origin: "https://gitlab.com/honeydue/demos/templates/spring-boot-api.git"
components:
  - name: gradle-cli
    container:
      image: gradle:latest
      mountSources: true
      env:
        - name: RDS_POSTGRESQL_DEV_URL
          value: jdbc:postgresql://honeydue.cvte4l4cmrbp.us-east-1.rds.amazonaws.com:5432/honeydue
        - name: RDS_POSTGRESQL_DEV_USER
          value: postgres
        - name: RDS_POSTGRESQL_DEV_PASSWORD
          value: honeydue
        - name: RDS_POSTGRESQL_DEV_DBNAME
          value: honeydue
      command: ['tail']
      args: ['-f', '/dev/null']
commands:
  - id: build
    exec:
      commandLine: "gradle test"
      component: gradle-cli
